Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingConnectionPoolDataSource

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.JdbcMethodInvoker
  - - Altibase.jdbc.driver.sharding.core.AltibaseShardingDataSource
    - - Altibase.jdbc.driver.sharding.core.AltibaseShardingConnectionPoolDataSource

All Implemented Interfaces:
  java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.ConnectionPoolDataSource, javax.sql.DataSource

    public class AltibaseShardingConnectionPoolDataSource
    extends AltibaseShardingDataSource
    implements javax.sql.ConnectionPoolDataSource

### Constructor Summary

Constructors
Constructor and Description
`AltibaseShardingConnectionPoolDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.PooledConnection` `getPooledConnection()`
`javax.sql.PooledConnection` `getPooledConnection(java.lang.String aUser, java.lang.String aPassword)`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.AltibaseShardingDataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, setDataSourceMap, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setServerName, setURL, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AltibaseShardingConnectionPoolDataSource

    public AltibaseShardingConnectionPoolDataSource()

### Method Detail

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection(java.lang.String aUser,
                                                          java.lang.String aPassword)
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`